GNU Radio's TEST Package

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
hackrf_common Class Reference

`#include <hackrf_common.h>`

Inheritance diagram for hackrf_common:

## Public Member Functions
| hackrf_common (const std::string &args)

## Protected Member Functions
osmosdr::meta_range_t | get_sample_rates (void)
double | set_sample_rate (double rate)
double | get_sample_rate (void)
osmosdr::freq_range_t | get_freq_range (size_t chan=0)
double | set_center_freq (double freq, size_t chan=0)
double | get_center_freq (size_t chan=0)
double | set_freq_corr (double ppm, size_t chan=0)
double | get_freq_corr (size_t chan=0)
bool | set_gain_mode (bool automatic, size_t chan=0)
bool | get_gain_mode (size_t chan=0)
double | set_gain (double gain, size_t chan=0)
double | get_gain (size_t chan=0)
std::vector< std::string > | get_antennas (size_t chan=0)
std::string | set_antenna (const std::string &antenna, size_t chan=0)
std::string | get_antenna (size_t chan=0)
double | set_bandwidth (double bandwidth, size_t chan=0)
double | get_bandwidth (size_t chan=0)
osmosdr::freq_range_t | get_bandwidth_range (size_t chan=0)
bool | set_bias (bool bias)
bool | get_bias ()
void | start ()
void | stop ()

## Static Protected Member Functions
static std::vector< std::string > | get_devices ()

## Protected Attributes
hackrf_sptr | _dev

## Constructor & Destructor Documentation

## ◆ hackrf_common()

hackrf_common::hackrf_common | ( | const std::string & | args | ) |

## Member Function Documentation

## ◆ get_antenna()

std::string hackrf_common::get_antenna | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_antennas()

std::vector< std::string > hackrf_common::get_antennas | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_bandwidth()

double hackrf_common::get_bandwidth | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_bandwidth_range()

osmosdr::freq_range_t hackrf_common::get_bandwidth_range | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_bias()

bool hackrf_common::get_bias | ( |  | ) |
| protected

## ◆ get_center_freq()

double hackrf_common::get_center_freq | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_devices()

static std::vector< std::string > hackrf_common::get_devices | ( |  | ) |
| static protected

## ◆ get_freq_corr()

double hackrf_common::get_freq_corr | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_freq_range()

osmosdr::freq_range_t hackrf_common::get_freq_range | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_gain()

double hackrf_common::get_gain | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_gain_mode()

bool hackrf_common::get_gain_mode | ( | size_t | chan = `0` | ) |
| protected

## ◆ get_sample_rate()

double hackrf_common::get_sample_rate | ( | void |  | ) |
| protected

## ◆ get_sample_rates()

osmosdr::meta_range_t hackrf_common::get_sample_rates | ( | void |  | ) |
| protected

## ◆ set_antenna()

std::string hackrf_common::set_antenna | ( | const std::string & | antenna,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_bandwidth()

double hackrf_common::set_bandwidth | ( | double | bandwidth,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_bias()

bool hackrf_common::set_bias | ( | bool | bias | ) |
| protected

## ◆ set_center_freq()

double hackrf_common::set_center_freq | ( | double | freq,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_freq_corr()

double hackrf_common::set_freq_corr | ( | double | ppm,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_gain()

double hackrf_common::set_gain | ( | double | gain,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_gain_mode()

bool hackrf_common::set_gain_mode | ( | bool | automatic,
|  | size_t | chan = `0`
| ) |  |
| protected

## ◆ set_sample_rate()

double hackrf_common::set_sample_rate | ( | double | rate | ) |
| protected

## ◆ start()

void hackrf_common::start | ( |  | ) |
| protected

## ◆ stop()

void hackrf_common::stop | ( |  | ) |
| protected

## Member Data Documentation

## ◆ _dev

hackrf_sptr hackrf_common::_dev
| protected

The documentation for this class was generated from the following file:

- hackrf_common.h